INCLUDES=-I${top_srcdir} -I${top_builddir}
LDFLAGS=${top_builddir}/akaxiso2/libakaxiso2.la @AKAXISO2_LDFLAGS@

check_PROGRAMS=project projectmap basket all_test model_array deserializer accessor custom_precondition

project_SOURCES=project.cpp project.h
project_DEPENDENCIES=${top_builddir}/akaxiso2/libakaxiso2.la

projectmap_SOURCES=projectmap.cpp projectmap.h
projectmap_DEPENDENCIES=${top_builddir}/akaxiso2/libakaxiso2.la

basket_SOURCES=basket.cpp basket.h
basket_DEPENDENCIES=${top_builddir}/akaxiso2/libakaxiso2.la

all_test_SOURCES=all_test.cpp all_test.h
all_test_DEPENDENCIES=${top_builddir}/akaxiso2/libakaxiso2.la

model_array_SOURCES=model_array.cpp model_array.h
model_array_DEPENDENCIES=${top_builddir}/akaxiso2/libakaxiso2.la

deserializer_SOURCES=deserializer.cpp project.h projectmap.h basket.h all_test.h model_array.h
deserializer_DEPENDENCIES=${top_builddir}/akaxiso2/libakaxiso2.la

accessor_SOURCES=accessor.cpp accessor.h
accessor_DEPENDENCIES=${top_builddir}/akaxiso2/libakaxiso2.la

custom_precondition_SOURCES=custom_precondition.cpp
custom_precondition_DEPENDENCIES=${top_builddir}/akaxiso2/libakaxiso2.la


test: check
	./test.sh

